Usage API endpoint
GET /v1/usage
Read your current Cite42 balance and your 50 most recent API calls with tool, status, cost and timestamp. Reading your own usage is free.
Overview
Your balance and the 50 most recent calls (tool, status, cost, timestamp). Reading your own usage is free, only fresh queries are billed.
Reference
GET
/v1/usagefree
Request
curl https://www.cite42.dev/api/v1/usage \ -H "Authorization: Bearer $CITE42_API_KEY" \
Response
{
"requestId": "…",
"balance": {
"microCredits": 1336000,
"usd": "13.36"
},
"recent": [
{
"id": "usage_example",
"endpoint": "POST /v1/rankings",
"status": 200,
"costMicro": 20000,
"latencyMs": 4120,
"requestId": "…",
"createdAt": "2026-07-20T12:00:00.000Z"
}
]
}